% Nerreter, Grundlagen der Elektrotechnik
% Aufgabe 9.10
clc
disp('Nerreter, Grundlagen der Elektrotechnik');
disp('Lsung der Aufgabe 9.10');
figure;
T=1;
T4=T/4;
plot([0 T], [0 0]); hold on;
plot([0 0], [-25 25]); hold on;
z=1000;
dT=T/z;
w1=2*pi/T;
v=8/T;
phi1=acos(20/25);
t1=T*phi1/(2*pi);
for n=1:101
    k=2*n-1;
    p=k+1;
    m=k-1;
    int1=v*20*sin(k*w1*t1)/(k*w1);
    int2=v*12.5*(sin(p*w1*T4)/(p*w1)-sin(p*w1*t1)/(p*w1));
    if m>0; int3=v*12.5*(sin(m*w1*T4)/(m*w1)-sin(m*w1*t1)/(m*w1));
    else int3=v*12.5*(T4-t1); end
    a(n)=int1+int2+int3;
    disp(' ');
    disp(['k = ',sprintf(' %3d ',k)]);
    disp(['a = ',sprintf(' %3.4f ',a(n))]);
end
ta=0;
xa=20;
ya=25;
for m=1:1000
    tn=ta+dT;
    xn=0; yn=25*cos(w1*tn);
    for n=1:101
        k=2*n-1;
        xn=xn+a(n)*cos(k*w1*tn);
    end
    plot([ta tn], [ya yn]); hold on;
    plot([ta tn], [xa xn], 'r'); hold on;
    ta=tn; xa=xn; ya=yn;
end
grid;
    
 